fillet

Discussion in 'AutoCAD' started by davide vianello, Jul 7, 2004.

  1. Hi All
    why the lisp
    (command "_.FILLET" "_ra" 0.5 '(<Nome entità: 7eb72a38> (-44.765 41.9016
    0.0)))
    don't run?
    It stop when entered the entity.
    I tried
    (command "_.FILLET" "_ra" 0.5 '<Nome entità: 7eb72a38>)
    with the same result.

    Thank you in advance
    David
     
    davide vianello, Jul 7, 2004
    #1
  2. sorry in Autocad 2005
    David
     
    davide vianello, Jul 7, 2004
    #2
  3. davide vianello

    MP Guest

    you need the entity there
    (setq ent (car(entsel"\nPick first line")))
    (setq ent2 (car(entsel"\nPick next line")))

    (command "_.FILLET" "_ra" 0.5 ent ent2)
     
    MP, Jul 7, 2004
    #3
  4. davide vianello

    Paul Turvill Guest

    The fillet command requires either a single polyline object, or two other
    objects, one of which may be a polyline. The command won't run the way
    you've shown it, since you haven't specified either the Polyline option nor
    specified two objects.

    Also, rather than using the Entity Name directly, the usual way to pass an
    object to a (command ...) function is with a variable. If it's a polyline
    you're dealing with, try this code:

    (setq ent (car (entsel "\nSelect a polyline: ")))
    (setvar "filletrad" 0.5)
    (command "_.fillet" "_p" ent)

    ___
     
    Paul Turvill, Jul 7, 2004
    #4
  5. thank you,
    I've made a stupid mistake.
    David
     
    davide vianello, Jul 8, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.